---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.0.11
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: authentication-operator-6fcbcf79b6-5h2gz
      namespace: openshift-authentication-operator
      resourceVersion: "15579"
      uid: 33c4c720-1ab1-4f8c-a7c4-5a590a1c78dd
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:42:53Z"
    creationTimestamp: "2022-03-08T10:13:56Z"
    generateName: metrics-
    generation: 6
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b6674aea-fa2f-4c9c-9d80-5b7fadf7525d"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:49Z"
    name: metrics-q6xln
    namespace: openshift-authentication-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: b6674aea-fa2f-4c9c-9d80-5b7fadf7525d
    resourceVersion: "15585"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-authentication-operator/endpointslices/metrics-q6xln
    uid: 521187fd-bd4c-471b-819a-a984d91ed29d
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82496"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-authentication-operator/endpointslices
